package edu.kit.ipd.descartes.ql.connector.pdr;

import org.apache.log4j.Logger;

import edu.kit.ipd.descartes.ql.connector.ConnectorProvider;
import edu.kit.ipd.descartes.ql.connector.ModelStructureQueryConnector;
import edu.kit.ipd.descartes.ql.connector.PerformanceIssueQueryConnector;
import edu.kit.ipd.descartes.ql.connector.PerformanceMetricsQueryConnector;
import edu.kit.ipd.descartes.ql.core.engine.util.DQLLogger;

public class ConnectorProviderImpl implements ConnectorProvider {
	private final Logger log = DQLLogger.getLogger(this.getClass().getName());

	@Override
	public ModelStructureQueryConnector createModelStructureQueryConnectorInstance() {
		log.info("Creating instance of ModelStructureQueryConnector");
		return new ModelStructureQueryConnectorImpl();
	}

	@Override
	public PerformanceIssueQueryConnector createPerformanceIssueQueryConnectorInstance() {
		log.error("PerformanceIssueQueryConnector not supported");
		return null;
	}

	@Override
	public PerformanceMetricsQueryConnector createPerformanceMetricsQueryConnectorInstance() {
		log.info("Creating instance of PerformanceMetricsQueryConnector");
		return new PerformanceMetricsQueryConnectorImpl();
	}

}
